struct ff_rumble_effect
Prev | Chapter 25. Input Subsystem | Next

## Name

struct ff_rumble_effect — defines parameters of a periodic force-feedback effect

## Synopsis

    struct ff_rumble_effect {
      __u16 strong_magnitude;
      __u16 weak_magnitude;
    };

## Members

strong_magnitude

  magnitude of the heavy motor

weak_magnitude

  magnitude of the light one

## Description

Some rumble pads have two motors of different weight. Strong_magnitude represents the magnitude of the vibration generated by the heavy one.

Prev | Up | Next
struct ff_periodic_effect | Home | struct ff_effect